<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.dqp.ui" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.dqp.ui.DqpUiPlugin">

   <runtime>
      <library name="modelerDqpUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerDqpUi.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="com.metamatrix.modeler.vdb.ui"/>
      <import plugin="com.metamatrix.common"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.vdb.edit"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="com.metamatrix.modeler.dqp"/>
      <import plugin="net.sourceforge.sqlexplorer"/>
      <import plugin="com.metamatrix.mmquery.api"/>
      <import plugin="com.metamatrix.modeler.jdbc"/>
      <import plugin="com.metamatrix.modeler.webservice"/>
   </requires>
   
   <extension-point id="vdbEditorUtil" name="%vdbEditorUtil" schema="schema/vdbEditorUtil.exsd"/>

   <!-- REMOVED: Actions contributed to the Model Explorer view
  <extension
     id="%dqpModelActionContributions.id"
     name="DqpModelActionContributions"
     point="org.eclipse.ui.popupMenus">
  <viewerContribution
        targetID="com.metamatrix.modeler.ui.explorer.view"
        id="modelExplorerContributions">
     <action
           label="%executeVdbAction.label"
           icon="icons/full/ctool16/run_vdb.gif"
           class="com.metamatrix.modeler.internal.dqp.ui.actions.ExecuteVdbAction"
           menubarPath="modelStart"
           enablesFor="1"
           id="com.metamatrix.modeler.internal.dqp.ui.actions.ExecuteVdbAction">
        <selection
              name="*.vdb"
              class="org.eclipse.core.resources.IFile">
        </selection>
     </action>
  </viewerContribution>
   </extension>
-->
  <extension point="org.eclipse.ui.views">
<!-- SqlResultsView -->
      <view name="%SqlResultsView.name" icon="icons/full/cview16/XmlResultsView.gif"
            category="SQLExplorerPlugin"
            class="com.metamatrix.modeler.internal.dqp.ui.views.SqlResultsView"
            id="com.metamatrix.modeler.dqp.ui.views.SqlResultsView">
      </view>
  </extension>
   <!-- VDB Execution Tab contribution to the VDB Editor -->
  <extension id="connectorbindingseditorpart" name="%connectorBindingsVdbEditorPage.name"
              point="com.metamatrix.modeler.vdb.ui.vdbEditorPage">
        <class displayName="%connectorBindingsVdbEditorPage.name"
             name="com.metamatrix.modeler.internal.dqp.ui.config.ConnectorBindingsEditorPart">
        </class>
  </extension>
   <!-- JDBC Client Perspective -->
   <extension point="org.eclipse.ui.perspectives">
      <perspective name="%jdbcClientPerspective.name" icon="icons/full/ctool16/run_vdb.gif"
                   class="com.metamatrix.modeler.internal.dqp.ui.jdbc.JdbcClientPluginPerspective"
                   id="com.metamatrix.modeler.internal.dqp.ui.jdbc.JdbcClientPluginPerspective">
      </perspective>
   </extension>
   <!-- jh Added to fix 19314 -->
   <extension point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension targetID="com.metamatrix.modeler.internal.dqp.ui.jdbc.JdbcClientPluginPerspective">
         <perspectiveShortcut id="com.metamatrix.modeler.internal.dqp.ui.jdbc.JdbcClientPluginPerspective"/>

         <perspectiveShortcut id="com.metamatrix.modeler.vdbview.ui.vdbViewPerspective"/>

         <perspectiveShortcut id="org.eclipse.ui.internal.ide.ResourcePerspective"/>
         
      </perspectiveExtension>
   </extension>
   
   <!-- XML Document ResultSet Processor -->
  <extension id="xmlDocumentResultSetProcessor" name="%xmlDocumentResultSetProcessor.name"
              point="net.sourceforge.sqlexplorer.resultSetProcessor">
        <class name="com.metamatrix.modeler.internal.dqp.ui.jdbc.XmlDocumentResultSetProcessor">
        </class>
  </extension>
   <!-- SQL ResultSet Processor -->
  <extension id="sqlResultSetProcessor" name="%sqlResultSetProcessor.name"
              point="net.sourceforge.sqlexplorer.resultSetProcessor">
        <class name="com.metamatrix.modeler.internal.dqp.ui.jdbc.SqlResultSetProcessor">
        </class>
  </extension>
   <extension point="org.eclipse.ui.editors">
<!-- Configuration Management Editor -->
      <editor name="%configurationManagerView.name"
              icon="icons/full/cview16/ConfigurationManagerView.gif"
              class="com.metamatrix.modeler.internal.dqp.ui.views.ConfigurationManagerView"
              id="com.metamatrix.modeler.internal.dqp.ui.views.ConfigurationManagerEditor">
      </editor>
   </extension>
  
   <!-- Shutdown listener to alert user of VDB validation issues *** ONLY DIMENSION DESIGNER *** -->
   <extension id="dqpUiShutdownListener"
              point="com.metamatrix.modeler.ui.vetoableShutdownListener">
      <class name="com.metamatrix.modeler.dqp.ui.DqpUiShutdownListener">
      </class>
   </extension>
   <!-- Action to open the log file for a given Connection in SQLExplorer -->   
   <extension point="org.eclipse.ui.viewActions">
      <viewContribution targetID="net.sourceforge.sqlexplorer.plugin.views.ConnectionsView"
                        id="net.sourceforge.sqlexplorer.plugin.views.ConnectionsView.DqpLogActions">
         <action label="%setDqpLogLevel.label" icon="icons/full/cview16/SetLogLevel.gif"
                 class="com.metamatrix.modeler.internal.dqp.ui.actions.SetLogLevelAction"
                 tooltip="%setDqpLogLevel.tooltip"
                 enablesFor="1"
                 toolbarPath="additions"
                 id="com.metamatrix.modeler.internal.dqp.ui.actions.SetLogLevelAction">
            <selection name="*" class="net.sourceforge.sqlexplorer.sessiontree.model.SessionTreeNode">
            </selection>
         </action>
         <action label="%showDqpLog.label" icon="icons/full/cview16/ViewLog.gif"
                 class="com.metamatrix.modeler.internal.dqp.ui.actions.ShowDqpLogAction"
                 tooltip="%showDqpLog.tooltip"
                 enablesFor="1"
                 toolbarPath="additions"
                 id="com.metamatrix.modeler.internal.dqp.ui.actions.ShowDqpLogAction">
            <selection name="*" class="net.sourceforge.sqlexplorer.sessiontree.model.SessionTreeNode">
            </selection>
               
         </action>
      </viewContribution>
   </extension>
   <extension id="staledVDBChecker" name="%staledVDBChecker.name"
              point="net.sourceforge.sqlexplorer.sqlExecVetoListener">
        <class name="com.metamatrix.modeler.internal.dqp.ui.jdbc.StaledVDBChecker">
        </class>
   </extension>
   <extension id="staledExtensionModuleChecker" name="%staledExtensionModuleChecker.name"
              point="net.sourceforge.sqlexplorer.sqlExecVetoListener">
        <class name="com.metamatrix.modeler.internal.dqp.ui.jdbc.StaledExtensionModuleChecker">
        </class>
   </extension>
   <extension id="com.metamatrix.modeler.internal.dqp.ui.connection.WebServiceRequestGenerator"
              name="%webServiceRequestDocGenerator.name"
              point="net.sourceforge.sqlexplorer.requestDocGenerator">
      <class name="com.metamatrix.modeler.internal.dqp.ui.connection.WebServiceRequestGenerator"/>
   </extension>
</plugin>